nlmconv(1)

NAME
nlmconv - converts object code into an NLM

SYNOPSIS

nlmconv
    [-I bfdname | --input-target=bfdname] [-O bfdname | --output-target=bfdname] [-T headerfile | --header-file=headerfile] [-V | --version] [--help] infile outfile

DESCRIPTION
nlmconv converts the relocatable object file infile into the NetWare Loadable Module outfile, optionally reading headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see The NetWare Tool Maker Specification Manual, available from Novell, Inc. nlmconv currently works with i386 object files in COFF, ELF, or a.out format, and with SPARC object files in ELF or a.out format.
nlmconv uses the GNU Binary File Descriptor library to read infile.

OPTIONS

-I bfdname, --input-target=bfdname
    Consider the source file's object format to be bfdname, rather than attempting to deduce it.

-O bfdname, --output-target=bfdname
    Write the output file using the object format bfdname. nlmconv infers the output format based on the input format, e.g. for an i386 input file the output format is nlm32-i386.

-T headerfile, --header-file=headerfile
    Reads headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see The NetWare Tool Maker Specification Manual, available from Novell, Inc.

-V, --version
    Show the version number of nlmconv and exit.

-h, --help
    Show a summary of the options to nlmconv and exit.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (June 1993).

COPYING
Copyright (c) 1993, 2000 Free Software Foundation, Inc.

This document is distributed under the terms of the GNU Free Documenation License. That license is described in the GNU Free Documentation License section. This document is distributed under the terms of the GNU Free Documentation License, version 1.1. That license is described in the sources for this manual page, but it is not displayed here in order to make this manual more consise. Copies of this license can also be obtained from: http://www.gnu.org/copyleft/.